org.apache.synapse.transport.dynamicconfigurations

## Class ListenerProfileReloader

- java.lang.Object
- - org.apache.synapse.transport.dynamicconfigurations.DynamicProfileReloader
  - - org.apache.synapse.transport.dynamicconfigurations.ListenerProfileReloader

-     public class ListenerProfileReloader
      extends DynamicProfileReloader

  Profile re-loader for nhttp and pass-through SSL receivers

- - ### Field Summary

    - ### Fields inherited from class org.apache.synapse.transport.dynamicconfigurations.DynamicProfileReloader

      `fileUpdateNotificationHandler`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListenerProfileReloader(SSLProfileLoader profileLoader, org.apache.axis2.description.ParameterInclude transportInDescription)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `notifyFileUpdate(boolean isScheduled)` Notification method which will be triggered by FileUpdateNotifier and SSLProfileInvoker

    - ### Methods inherited from class org.apache.synapse.transport.dynamicconfigurations.DynamicProfileReloader

      `extractConfigurationFilePath, extractSleepInterval, getClassName, getFilePath, getLastUpdatedtime, isInvokedFromSchedule, registerListener, setFilePath, setInvokedFromSchedule, setLastUpdatedtime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListenerProfileReloader

          public ListenerProfileReloader(SSLProfileLoader profileLoader,
                                         org.apache.axis2.description.ParameterInclude transportInDescription)

  - ### Method Detail

    - #### notifyFileUpdate

          public void notifyFileUpdate(boolean isScheduled)

      Notification method which will be triggered by FileUpdateNotifier and SSLProfileInvoker
      Specified by:
        `notifyFileUpdate` in class `DynamicProfileReloader`
      Parameters:
        `isScheduled` - Boolean value for specify whether this is called from scheduled task

Copyright © 2005–2023 Apache Software Foundation. All rights reserved.